using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.Drawing;

namespace DirectXEksempel06
{
    class UI
    {
        Engine theEngine;
        // User Interface Controls:
        private Panel p1 = new Panel();
        private Panel p2 = new Panel();
        private Panel p3 = new Panel();
        private Button b1 = new Button();
        private Label l1 = new Label();
        private Label l2 = new Label();
        private Label l3 = new Label();
        private Label l4 = new Label();
        private Label l5 = new Label();
        public Label remains = new Label();
        public Label legal = new Label();

        public UI(Engine anEngine)
        {
            theEngine = anEngine;
            p1.Location = new Point(10, 10);
            p1.Size = new Size(100, 500);
            p1.BackColor = Color.YellowGreen;
            theEngine.Controls.Add(p1);
            l1.Location = new Point(10, 10);
            l1.Text = "DRAIN";
            p1.Controls.Add(l1);
            l2.Location = new Point(10, 40);
            l2.Text = "REMAINING";
            p1.Controls.Add(l2);
            p2.Location = new Point(10, 60);
            p2.Size = new Size(80, 25);
            p2.BackColor = Color.White;
            p1.Controls.Add(p2);
            remains.Location = new Point(10, 5);
            remains.Text = "";
            p2.Controls.Add(remains);
            l5.Location = new Point(10, 100);
            l5.Text = "LEGAL MOVES";
            p1.Controls.Add(l5);
            p3.Location = new Point(10, 120);
            p3.Size = new Size(80, 25);
            p3.BackColor = Color.White;
            p1.Controls.Add(p3);
            legal.Location = new Point(10, 5);
            legal.Text = "";
            p3.Controls.Add(legal);
            l3.Location = new Point(10, 200);
            l3.Text = "Stop: ESC";
            p1.Controls.Add(l3);
            l4.Location = new Point(10, 230);
            l4.Text = "Restart: F12";
            p1.Controls.Add(l4);
        }
    }
}
